package example;

import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;

public class LoginAction implements SessionAware
{
	private Map<String, Object> session; 
	
	private String userName = null;
	private String password = null;
	private String message  = null;
	  
    public LoginAction() {}

	@Override
	public void setSession(Map<String, Object> session)
	{
		this.session = session; 
	}
    public String execute()
    { 
    	// Проверка заполнения полей
        if ((getUserName().length() > 0) && (getPassword().length() > 0)) {
        	// Создание объекта User
            User user = new User();
            // Определение атрибутов объекта
            user.setLogin(getUserName());
            user.setPassword(getPassword());
            // Размещение объекта в сессиии
	        session.put ("user", user);
	        return "SUCCESS";
        } else {
	        // Сообщение для объекта
        	setMessage ("Не заполнено одно из обязательных полей");
        	return "ERROR";
        }
    } 
  
    public String getMessage()
    { 
    	return message;
    } 
    public void setMessage ( String message )
    { 
        this.message = message; 
    } 
    public String getUserName() {
  		return userName;
    }
    public void setUserName(String userName) {
        this.userName = userName;
    }
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
}
